| GL Studio C++ Runtime API

Public Member Functions | Public Attributes | Protected Attributes | List of all members
GlsAngularScaleData Class Reference

`#include <gls_angular_scale.h>`

## Public Member Functions
| GlsAngularScaleData (bool _active, bool _useLineColor, unsigned int _ticks, float _startAngle, float _interval, float _length, float _thickness, const GlsColor &_color)
| GlsAngularScaleData (const GlsAngularScaleData &src)
GlsAngularScaleData & | operator= (const GlsAngularScaleData &src)
bool | operator== (const GlsAngularScaleData &right) const
bool | operator!= (const GlsAngularScaleData &right) const
void | InitMetaData ()
| Create DistiAttributes for this object's members.
virtual std::ostream & | WriteValue (std::ostream &outstr)
virtual std::istream & | ReadValue (std::istream &instr)

## Public Attributes
bool | active
bool | useLineColor
unsigned int | ticks
float | startAngle
float | interval
float | length
float | thickness
GlsColor | color

## Protected Attributes
DistiAttribDict | _attribDict
| The attribute dictionary for this class' members.

## Detailed Description

The GlsAngularScaleData class. Stores information for the appearance of one set of tick marks.

## Constructor & Destructor Documentation

## ◆ GlsAngularScaleData() [1/2]

GlsAngularScaleData | ( | bool | _active,
|  | bool | _useLineColor,
|  | unsigned int | _ticks,
|  | float | _startAngle,
|  | float | _interval,
|  | float | _length,
|  | float | _thickness,
|  | const GlsColor & | _color
| ) |  |
| inline

Constructor

Parameters

  _active | True if this scale is active.
  _useLineColor | True if this scale draws with line color.
  _ticks | Number of ticks on this scale.
  _startAngle | Angle Start angle in degrees.
  _interval | Interval between ticks in degrees.
  _length | Length of ticks in logical units.
  _thickness | Thickness of ticks in logical units.
  _color | Color to draw ticks if line color is not being used.

## ◆ GlsAngularScaleData() [2/2]

GlsAngularScaleData | ( | const GlsAngularScaleData & | src | ) |
| inline

Copy constructor

Parameters

  src | The object to copy from.

## Member Function Documentation

## ◆ operator!=()

bool operator!= | ( | const GlsAngularScaleData & | right | ) | const
| inline

Inequality operator

Parameters

  right | The object to compare.

Returns
  Whether or not the objects are not equal.

## ◆ operator=()

GlsAngularScaleData & operator= | ( | const GlsAngularScaleData & | src | ) |
| inline

Assignment operator

Parameters

  src | The object to copy from.

Returns
  the resulting object (this).

## ◆ operator==()

bool operator== | ( | const GlsAngularScaleData & | right | ) | const

Equality operator

Parameters

  right | The object to compare.

Returns
  Whether or not the objects are equal.

## ◆ ReadValue()

virtual std::istream & ReadValue | ( | std::istream & | instr | ) |
| virtual

Reads this from a stream.

Parameters

  instr | The stream to read from.

Returns
  The stream in its current state.

## ◆ WriteValue()

virtual std::ostream & WriteValue | ( | std::ostream & | outstr | ) |
| virtual

Writes this to a stream.

Parameters

  outstr | The stream to write to.

Returns
  The stream in its current state.

## Member Data Documentation

## ◆ active

bool active

True if this scale is active

## ◆ color

GlsColor color

Color to draw ticks if line color is not being used

## ◆ interval

float interval

Interval between ticks in degrees

## ◆ length

float length

Length of ticks in logical units

## ◆ startAngle

float startAngle

Start angle in degrees

## ◆ thickness

float thickness

Thickness of ticks in logical units

## ◆ ticks

unsigned int ticks

Number of ticks on this scale

## ◆ useLineColor

bool useLineColor

True if this scale draws with line color

The documentation for this class was generated from the following file:

- gls_angular_scale.h